Debian Bug report logs - #98640
apt build-dep stops on non-existent package even if dependency is fufilled

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Michael Fair <michael@daclubhouse.net>

Date: Thu, 24 May 2001 22:48:01 UTC

Severity: normal

Tags: pending

Merged with 158896, 172901

Found in versions 0.5.3, 0.5.4, 0.5.4.0.1

Fixed in version apt/0.5.5

Done: Adam Heath <doogie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#98640; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Michael Fair <michael@daclubhouse.net>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Fair <michael@daclubhouse.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt build-dep stops on non-existent package even if dependency is fufilled
Date: Thu, 24 May 2001 15:40:03 -0700
Package: apt
Version: 0.5.3
Severity: normal



-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux DrPepper 2.2.18pre21 #3 Sat May 19 12:55:08 PDT 2001 i686

Versions of packages apt depends on:
ii  libc6                  2.2.3-1           GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2 1:2.95.4-0.010424 The GNU stdc++ library            

command line: apt build-dep guppi

guppi from unstable depends on libesd0-dev | libesd-alsa0-dev.
libesd0-dev is installed.
libesd-alsa0-dev does not seem to exist from any source location.
(I do not have a deb entry for the unstable tree)

apt stops, complaining about the non-existence of libesd-alsa0-dev.

apt should continue to build because the libesd0-dev package requirement
fufills its dependency.

-- Michael --





Merged 98640 126938 131265 145997. Request was from Ove Kaaven <ovek@arcticnet.no> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#98640; Package apt. Full text and rfc822 format available.

Acknowledgement sent to admin@mail.ferret.dyndns.org:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 98640@bugs.debian.org (full text, mbox):

From: admin@mail.ferret.dyndns.org
To: "Debian Bug Tracking System" <98640@bugs.debian.org>
Subject: apt: Seen also with build-dep xfree86
Date: Sun, 10 Nov 2002 20:03:01 -0800
Package: apt
Version: 0.5.4
Followup-For: Bug #98640

And here I already *have* kernel headers installed, which |'s with
'freebsd'.

admin@mnemaxa:/share/projects/src/xfree86/xfree86-4.2.1$ sudo apt-get -t unstable build-dep xfree86
Reading Package Lists... Done
Building Dependency Tree... Done
Package hurd has no available version, but exists in the database.
This typically means that the package was mentioned in a dependency and
never uploaded, has been obsoleted or is not available with the contents
of sources.list
E: Package hurd has no installation candidate
E: Build-Depends dependency on xfree86 cannot be satisfied because the package freebsd cannot be found


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux mnemaxa 2.4.18 #1 Sun Aug 11 12:27:14 PDT 2002 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages apt depends on:
ii  libc6                        2.3.1-3     GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2       1:2.95.4-12 The GNU stdc++ library

-- no debconf information




Disconnected #98640 from all other report(s). Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 98640 158896 172901. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adam Heath <doogie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Fair <michael@daclubhouse.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 158896-close@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: 158896-close@bugs.debian.org
Subject: Bug#158896: fixed in apt 0.5.5
Date: Wed, 07 May 2003 13:33:32 -0400
We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.5.5_all.deb
  to pool/main/a/apt/apt-doc_0.5.5_all.deb
apt-utils_0.5.5_i386.deb
  to pool/main/a/apt/apt-utils_0.5.5_i386.deb
apt_0.5.5.dsc
  to pool/main/a/apt/apt_0.5.5.dsc
apt_0.5.5.tar.gz
  to pool/main/a/apt/apt_0.5.5.tar.gz
apt_0.5.5_i386.deb
  to pool/main/a/apt/apt_0.5.5_i386.deb
libapt-pkg-dev_0.5.5_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.5.5_i386.deb
libapt-pkg-doc_0.5.5_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.5.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 158896@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Heath <doogie@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 27 Apr 2003 01:23:12 -0500
Source: apt
Binary: apt-utils libapt-pkg-doc libapt-pkg-dev apt-doc apt
Architecture: source i386 all
Version: 0.5.5
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Adam Heath <doogie@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 54982 57070 70685 88664 88798 89830 90654 92287 92358 95933 98640 103678 105920 105968 108801 109430 109591 110389 111914 113786 114892 115701 116011 117856 117915 118431 120311 120689 123642 126189 128741 129970 130689 131062 131397 132772 132776 133942 133943 133950 135021 135295 136749 138050 138054 138186 139328 139752 139994 142298 142955 143995 145997 146294 146846 147529 147611 147817 148824 148879 149595 150512 151654 151834 151835 153307 153734 154268 154601 154602 155014 155194 155621 155842 158896 159864 161592 162617 163932 165085 165515 165516 165518 165891 172901 173619 173745 173971 174945 175055 176052 177752 178008 178121 178435 178537 178623 178736 183111 183904 189014
Changes: 
 apt (0.5.5) unstable; urgency=low
 .
   * New deb version compare function, that has no integer limits, and
     supports pre-versions using ~.  Code ported from dpkg.
   * Fix handling of [!arch] for build-dependencies. Closes: #88798, #149595
   * Fix handling of build-deps on unknown packages. Closes: #88664, #153307
   * "apt-get --arch-only build-dep" to install only architecture-
     dependent build dependencies. Bump minor shared lib number to reflect
     small change in BuildDepend API.
   * APT::Build-Essential configuration option (defaults to "build-essential")
     so that "apt-get build-dep" will ensure build essential packages are
     installed prior to installing other build-dependencies. Closes: #148879
   * LD_LIBRARY_PATH thing. Closes: #109430, #147529
   * /usr/doc reference in postinst. Closes: #126189
   * Doc updates. Closes: #120689
   * Possible apt-cache segfault. Closes: #120311, #118431, #117915, #135295,
           #131062, #136749
   * Print special message for EAI_AGAIN. Closes: #131397
   * libapt-pkg-dev needs to bring in the apt-inst library if linking
     is to work. Closes: #133943
   * Typos, Doc Stuff. Closes: #132772, #129970, #123642, #114892, #113786,
          #109591, #105920, #103678, #139752, #138186, #138054, #138050,
 	 #139994, #142955, #151654, #151834, #147611, #154268, #173971
   * Fix possibility for tag file parsing to fail in some unlikely situations.
     Closes: #139328
   * Use std C++ names for some header files. Closes: #128741
   * Do not check for free space if --no-download. Closes: #117856
   * Actually implement or group handling for 'upgrade'. Closes: #133950
   * "Internal Error, Couldn't configure pre-depend" is not actually an
     internal error, it is a packaging error and now it says so, and
     pinpoints the problem dependency. Closes: #155621
   * Allows failure to write to a pipe for post-invoke stuff. Closes: #89830
   * Use usr/share/doc for dhelp. Closes: #115701
   * --print-uris works with 'update'. Closes: #57070
   * Options Dpkg::MaxArgs,Dpkg::MaxArgBytes to allow a much longer dpkg
     command line.
   * Fixed 2 little OR group bugs, thanks to Yann Dirson. Closes: #143995,
     #142298
   * Allow an uninstalled package to be marked for removal on an install
     line (meaning not to automatically install it), also fix some dodgy
     handling of protected packages. Closes: #92287, #116011
   * Fix errant prefix matching in version selection. Closes: #105968
   * Ensure that all files needed to run APT as a user are readable and
     ignore roots umask for these files. Closes: #108801
   * Support larger config spaces. Closes: #111914
   * 'apt-get update' no longer does 'Building Dependency Tree'.
   * When matching regexs allways print a message. Change regex activation
     charset. Closes: #147817
   * Don't die if lines in sources.list are too long. Closes: #146846
   * Show file name on apt-extracttemplate error messges. Closes: #151835
   * i18n gettext stuff, based on work from Michael Piefel: Closes: #95933
   * Some highly unlikely memory faults. Closes: #155842
   * C++ stuff for G++3.2. Closes: #162617, #165515,
   * apt-config dumps sends to stdout not stderr now.  Closes: #146294
   * Fix segfault in FindAny when /i is used, and there is no default.
     Closes: #165891
   * Add s390x to archtable.  Closese: #160992.
   * Update config.sub/config.guess in cvs, and add support to debian/rules
     to update them from /usr/share/misc if they exist.  Closes: #155014
   * Remove 'Sorry' from messages.  Closes: #148824.
   * Change wording of 'additional disk space usage' message.  Closes:
     #135021.
   * apt-extracttemplates now prepends the package name when extracting
     files.  Closes: #132776
   * Add -n synonym for --names-only for apt-cache.  Closes: #130689
   * Display both current version and new version in apt-get -s.  Closes:
     #92358
   * Add an options and timeout config item to ssh/rsh.  Closes: #90654
   * libapt-pkg-dev now depends on apt-utils.  Closes: #133942.
   * Change verbose logging output of apt-ftparchive to go to stderr,
     instead of stdout.  Also, errors that occur no longer go to stdout,
     but stderr.  Closes: #161592
   * Test for timegm in configure.  Closes: #165516.
   * s/st_mtime/mtime/ on our local stat structure in apt-ftparchive, to
     support compliation on platforms where st_mtime is a macro.  Closes:
     #165518
   * Check the currently mounted cdrom, to see if it's the one we are
     interested in.  Closes: #154602
   * Refer to reportbug instead of bug in the man pages. Closes: #173745
   * Link apt-inst to apt-pkg. Closes: #175055
   * New apt_preferences man page from Thomas Hood, Susan Kleinmann,
     and others.
   * Fix > 300 col screen segfault. Closes: #176052
   * Rebuild with gcc-3.2. Closes: #177752, #178008.
   * Fix build-dep handling of | dependencies.
     Closes: #98640, #145997, #158896, #172901
   * Double default value of APT::Cache-Limit, until such time as it
     can be made more dynamic.  Closes: #178623.
   * Report uris with '.gz' when there are errors.  Closes: #178435.
   * When installing build-deps, make sure the new version will
     satisfy build requirements. Closes: #178121
   * Split offline and guide documentation into apt-doc.  This was done so
     that binary-arch builds do not require documention deps.  Note, that
     apt-doc is not installed on upgrades.
   * Use doc-base, instead of dhelp directly.  Closes: #110389
   * Change http message 'Waiting for file' to 'Waiting for headers'.
     Closes: #178537
   * Remove trailing lines on package lists in apt-get.  Closes: #178736.
   * Fix origin pins for file:// uris.  Closes: #189014.
   * Apply typo and syntax patch from bug to apt-cache.8.sgml.  Closes:
     #155194
   * s/dpkg-preconfig/dpkg-preconfigure/ in examples/configure-index.
     Closes: #153734.
   * Fix some typos in the apt-get manual.  Closes: #163932.
   * Apply patch from bug, to change frozen to testing, and then do it
     everywhere else.  Closes: #165085.
   * Update es.po.  Closes: #183111.
   * Add pt_BR translation of apt_preferences(5).  Also, build fr manpages.
     Closes: #183904.
   * Add a vcg command to apt-cache, similiar to dotty.  Closes: #150512.
   * Add option to apt-get to show versions of packages being
     upgraded/installed.
   * Be quiet in apt.post{inst,rm}.  Closes: #70685.
   * apt-get now prints out suggested and recommended packages.  Closes:
     #54982.
   * Insert some newlines in the cdrom change media message.  Closes:
     #154601.
   * Add a rdepends command to apt-cache.  Closes: #159864.
   * When building the dpkg command line, allow for 8192 chars to be used,
     instead of only 1024.
   * APT::Immediate-Configure had inverted semantics(false meant it was
     enabled).  Closes: #173619.
   * Fix status file parser so that if a record is larger than 32k, the
     buffer size will be doubled, and the read attempted again.  Closes:
     #174945.
Files: 
 c87ffb8973dfbf265c3a426ce7062119 715 admin important apt_0.5.5.dsc
 fd2be6b584282bd2dbc046449e3e5d2f 811582 admin important apt_0.5.5.tar.gz
 d5f2b4d29cc5d73310a6a9d9746d166a 60062 doc optional apt-doc_0.5.5_all.deb
 9cddc94ffca174d495865655e2b9095d 92184 doc optional libapt-pkg-doc_0.5.5_all.deb
 c219ba00e729e3ec5eb3dec7307290bd 692238 base standard apt_0.5.5_i386.deb
 47abaf0b8ece16c61c29aabc2b11b7e2 59608 devel optional libapt-pkg-dev_0.5.5_i386.deb
 5d7ca50fb7d4b2f2afa79d730d25a930 147040 admin optional apt-utils_0.5.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+q3uDiix9wovUpIkRArJIAJ9Wk2TocblYFyxUmIR7xcYFsD+mTQCfQO+3
gRED/2QMSPR4Ix5ovCyht4g=
=CkGf
-----END PGP SIGNATURE-----




Message #28 received at 98640-close@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: 98640-close@bugs.debian.org
Subject: Bug#98640: fixed in apt 0.5.5
Date: Wed, 07 May 2003 13:33:36 -0400
We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.5.5_all.deb
  to pool/main/a/apt/apt-doc_0.5.5_all.deb
apt-utils_0.5.5_i386.deb
  to pool/main/a/apt/apt-utils_0.5.5_i386.deb
apt_0.5.5.dsc
  to pool/main/a/apt/apt_0.5.5.dsc
apt_0.5.5.tar.gz
  to pool/main/a/apt/apt_0.5.5.tar.gz
apt_0.5.5_i386.deb
  to pool/main/a/apt/apt_0.5.5_i386.deb
libapt-pkg-dev_0.5.5_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.5.5_i386.deb
libapt-pkg-doc_0.5.5_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.5.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 98640@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Heath <doogie@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 27 Apr 2003 01:23:12 -0500
Source: apt
Binary: apt-utils libapt-pkg-doc libapt-pkg-dev apt-doc apt
Architecture: source i386 all
Version: 0.5.5
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Adam Heath <doogie@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 54982 57070 70685 88664 88798 89830 90654 92287 92358 95933 98640 103678 105920 105968 108801 109430 109591 110389 111914 113786 114892 115701 116011 117856 117915 118431 120311 120689 123642 126189 128741 129970 130689 131062 131397 132772 132776 133942 133943 133950 135021 135295 136749 138050 138054 138186 139328 139752 139994 142298 142955 143995 145997 146294 146846 147529 147611 147817 148824 148879 149595 150512 151654 151834 151835 153307 153734 154268 154601 154602 155014 155194 155621 155842 158896 159864 161592 162617 163932 165085 165515 165516 165518 165891 172901 173619 173745 173971 174945 175055 176052 177752 178008 178121 178435 178537 178623 178736 183111 183904 189014
Changes: 
 apt (0.5.5) unstable; urgency=low
 .
   * New deb version compare function, that has no integer limits, and
     supports pre-versions using ~.  Code ported from dpkg.
   * Fix handling of [!arch] for build-dependencies. Closes: #88798, #149595
   * Fix handling of build-deps on unknown packages. Closes: #88664, #153307
   * "apt-get --arch-only build-dep" to install only architecture-
     dependent build dependencies. Bump minor shared lib number to reflect
     small change in BuildDepend API.
   * APT::Build-Essential configuration option (defaults to "build-essential")
     so that "apt-get build-dep" will ensure build essential packages are
     installed prior to installing other build-dependencies. Closes: #148879
   * LD_LIBRARY_PATH thing. Closes: #109430, #147529
   * /usr/doc reference in postinst. Closes: #126189
   * Doc updates. Closes: #120689
   * Possible apt-cache segfault. Closes: #120311, #118431, #117915, #135295,
           #131062, #136749
   * Print special message for EAI_AGAIN. Closes: #131397
   * libapt-pkg-dev needs to bring in the apt-inst library if linking
     is to work. Closes: #133943
   * Typos, Doc Stuff. Closes: #132772, #129970, #123642, #114892, #113786,
          #109591, #105920, #103678, #139752, #138186, #138054, #138050,
 	 #139994, #142955, #151654, #151834, #147611, #154268, #173971
   * Fix possibility for tag file parsing to fail in some unlikely situations.
     Closes: #139328
   * Use std C++ names for some header files. Closes: #128741
   * Do not check for free space if --no-download. Closes: #117856
   * Actually implement or group handling for 'upgrade'. Closes: #133950
   * "Internal Error, Couldn't configure pre-depend" is not actually an
     internal error, it is a packaging error and now it says so, and
     pinpoints the problem dependency. Closes: #155621
   * Allows failure to write to a pipe for post-invoke stuff. Closes: #89830
   * Use usr/share/doc for dhelp. Closes: #115701
   * --print-uris works with 'update'. Closes: #57070
   * Options Dpkg::MaxArgs,Dpkg::MaxArgBytes to allow a much longer dpkg
     command line.
   * Fixed 2 little OR group bugs, thanks to Yann Dirson. Closes: #143995,
     #142298
   * Allow an uninstalled package to be marked for removal on an install
     line (meaning not to automatically install it), also fix some dodgy
     handling of protected packages. Closes: #92287, #116011
   * Fix errant prefix matching in version selection. Closes: #105968
   * Ensure that all files needed to run APT as a user are readable and
     ignore roots umask for these files. Closes: #108801
   * Support larger config spaces. Closes: #111914
   * 'apt-get update' no longer does 'Building Dependency Tree'.
   * When matching regexs allways print a message. Change regex activation
     charset. Closes: #147817
   * Don't die if lines in sources.list are too long. Closes: #146846
   * Show file name on apt-extracttemplate error messges. Closes: #151835
   * i18n gettext stuff, based on work from Michael Piefel: Closes: #95933
   * Some highly unlikely memory faults. Closes: #155842
   * C++ stuff for G++3.2. Closes: #162617, #165515,
   * apt-config dumps sends to stdout not stderr now.  Closes: #146294
   * Fix segfault in FindAny when /i is used, and there is no default.
     Closes: #165891
   * Add s390x to archtable.  Closese: #160992.
   * Update config.sub/config.guess in cvs, and add support to debian/rules
     to update them from /usr/share/misc if they exist.  Closes: #155014
   * Remove 'Sorry' from messages.  Closes: #148824.
   * Change wording of 'additional disk space usage' message.  Closes:
     #135021.
   * apt-extracttemplates now prepends the package name when extracting
     files.  Closes: #132776
   * Add -n synonym for --names-only for apt-cache.  Closes: #130689
   * Display both current version and new version in apt-get -s.  Closes:
     #92358
   * Add an options and timeout config item to ssh/rsh.  Closes: #90654
   * libapt-pkg-dev now depends on apt-utils.  Closes: #133942.
   * Change verbose logging output of apt-ftparchive to go to stderr,
     instead of stdout.  Also, errors that occur no longer go to stdout,
     but stderr.  Closes: #161592
   * Test for timegm in configure.  Closes: #165516.
   * s/st_mtime/mtime/ on our local stat structure in apt-ftparchive, to
     support compliation on platforms where st_mtime is a macro.  Closes:
     #165518
   * Check the currently mounted cdrom, to see if it's the one we are
     interested in.  Closes: #154602
   * Refer to reportbug instead of bug in the man pages. Closes: #173745
   * Link apt-inst to apt-pkg. Closes: #175055
   * New apt_preferences man page from Thomas Hood, Susan Kleinmann,
     and others.
   * Fix > 300 col screen segfault. Closes: #176052
   * Rebuild with gcc-3.2. Closes: #177752, #178008.
   * Fix build-dep handling of | dependencies.
     Closes: #98640, #145997, #158896, #172901
   * Double default value of APT::Cache-Limit, until such time as it
     can be made more dynamic.  Closes: #178623.
   * Report uris with '.gz' when there are errors.  Closes: #178435.
   * When installing build-deps, make sure the new version will
     satisfy build requirements. Closes: #178121
   * Split offline and guide documentation into apt-doc.  This was done so
     that binary-arch builds do not require documention deps.  Note, that
     apt-doc is not installed on upgrades.
   * Use doc-base, instead of dhelp directly.  Closes: #110389
   * Change http message 'Waiting for file' to 'Waiting for headers'.
     Closes: #178537
   * Remove trailing lines on package lists in apt-get.  Closes: #178736.
   * Fix origin pins for file:// uris.  Closes: #189014.
   * Apply typo and syntax patch from bug to apt-cache.8.sgml.  Closes:
     #155194
   * s/dpkg-preconfig/dpkg-preconfigure/ in examples/configure-index.
     Closes: #153734.
   * Fix some typos in the apt-get manual.  Closes: #163932.
   * Apply patch from bug, to change frozen to testing, and then do it
     everywhere else.  Closes: #165085.
   * Update es.po.  Closes: #183111.
   * Add pt_BR translation of apt_preferences(5).  Also, build fr manpages.
     Closes: #183904.
   * Add a vcg command to apt-cache, similiar to dotty.  Closes: #150512.
   * Add option to apt-get to show versions of packages being
     upgraded/installed.
   * Be quiet in apt.post{inst,rm}.  Closes: #70685.
   * apt-get now prints out suggested and recommended packages.  Closes:
     #54982.
   * Insert some newlines in the cdrom change media message.  Closes:
     #154601.
   * Add a rdepends command to apt-cache.  Closes: #159864.
   * When building the dpkg command line, allow for 8192 chars to be used,
     instead of only 1024.
   * APT::Immediate-Configure had inverted semantics(false meant it was
     enabled).  Closes: #173619.
   * Fix status file parser so that if a record is larger than 32k, the
     buffer size will be doubled, and the read attempted again.  Closes:
     #174945.
Files: 
 c87ffb8973dfbf265c3a426ce7062119 715 admin important apt_0.5.5.dsc
 fd2be6b584282bd2dbc046449e3e5d2f 811582 admin important apt_0.5.5.tar.gz
 d5f2b4d29cc5d73310a6a9d9746d166a 60062 doc optional apt-doc_0.5.5_all.deb
 9cddc94ffca174d495865655e2b9095d 92184 doc optional libapt-pkg-doc_0.5.5_all.deb
 c219ba00e729e3ec5eb3dec7307290bd 692238 base standard apt_0.5.5_i386.deb
 47abaf0b8ece16c61c29aabc2b11b7e2 59608 devel optional libapt-pkg-dev_0.5.5_i386.deb
 5d7ca50fb7d4b2f2afa79d730d25a930 147040 admin optional apt-utils_0.5.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+q3uDiix9wovUpIkRArJIAJ9Wk2TocblYFyxUmIR7xcYFsD+mTQCfQO+3
gRED/2QMSPR4Ix5ovCyht4g=
=CkGf
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:01:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.